## live-tools 3.0~a3

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = de

SCRIPTS = scripts/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; \
	then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be optained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

build:
	@echo "Nothing to build."

install:
	# Installing scripts
	mkdir -p $(DESTDIR)/usr
	cp -r scripts $(DESTDIR)/usr/bin

	# Installing docs
	mkdir -p $(DESTDIR)/usr/share/doc/live-tools
	cp -r COPYING docs/* $(DESTDIR)/usr/share/doc/live-tools

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling scripts
	for SCRIPT in scripts/*; \
	do \
		rm -f $(DESTDIR)/usr/$$(basename $${SCRIPT}); \
	done
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/bin || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR) || true

	# Uninstalling docs
	rm -rf $(DESTDIR)/usr/share/doc/live-tools

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

clean:

distclean:

reinstall: uninstall install

=== debian/changelog ===
live-tools (3.0~a3-1) unstable; urgency=low

  * Updating year in copyright.
  * Updating year in manpage files.

 -- Daniel Baumann <daniel@debian.org>  Wed, 09 Mar 2011 20:22:16 +0100

live-tools (3.0~a2-1) experimental; urgency=low

  * Adding live-system script to determine if the running system is a
    live system or not.
  * Removing deep link to bug page in the in bug script since we don't
    have stable references yet.
  * Adding dpkg-source option file.
  * Removing header in copyright file.
  * Using dh auto magic in override, rather than manual make call.
  * Updating to debhelper version 8.
  * Don't hard-depend on test target in Makefile.
  * Adding recommends to debian-installer-launcher.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Dec 2010 15:19:05 +0100

live-tools (3.0~a1-1) experimental; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel@debian.org>  Thu, 02 Sep 2010 19:02:30 +0200

=== debian/control ===
Source: live-tools
Section: misc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: http://live.debian.net/devel/live-tools/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-tools.git
Vcs-Git: git://live.debian.net/git/live-tools.git

Package: live-tools
Architecture: all
Depends: ${misc:Depends}
Recommends: debian-installer-launcher
Suggests: perl, rsync
Description: Debian Live - System Support Scripts
 live-tools contains additional support scripts for Debian Live systems.

## live-tools 3.0~a4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SHELL := sh -e
 
-LANGUAGES = de
+LANGUAGES = en $(shell cd manpages/po && ls)
 
 SCRIPTS = scripts/*

## live-tools 3.0~a5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SHELL := sh -e
 
-LANGUAGES = en $(shell cd manpages/po && ls)
+LANGUAGES = $(shell cd manpages/po && ls)
 
 SCRIPTS = scripts/*
 
@@ -70,6 +70,7 @@
 	do \
 		rm -f $(DESTDIR)/usr/$$(basename $${SCRIPT}); \
 	done
+
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/bin || true
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr || true
 	rmdir --ignore-fail-on-non-empty $(DESTDIR) || true

=== debian/changelog ===
live-tools (3.0~a5-1) unstable; urgency=low

  * Adding GPL headers in scripts.
  * Removing accidentally twice included English files when installing
    manpages.
  * Adding empty line as seperater in makefile for consistency reasons.

 -- Daniel Baumann <daniel@debian.org>  Sat, 11 Jun 2011 13:23:02 +0200

live-tools (3.0~a4-1) unstable; urgency=low

  * Updating to standards version 3.9.2.
  * Correcting top-level makefile to automatically get all the supported
    languages, rather than defining a static list.
  * Making copyright file distribution neutral.
  * Shortening URL to manual in bug script.
  * Updating manpage to cover the live-system script and making the
    manpage distribution neutral.

 -- Daniel Baumann <daniel@debian.org>  Wed, 18 May 2011 18:35:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Live Project <debian-live@lists.debian.org>
 Uploaders: Daniel Baumann <daniel@debian.org>
 Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-tools/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-tools.git
 Vcs-Git: git://live.debian.net/git/live-tools.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install

	# Removing useless files
	rm -f debian/live-tools/usr/share/doc/live-tools/COPYING

## live-tools 3.0~a6

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 		echo "W: checkbashisms - command not found"; \
 		echo "I: checkbashisms can be optained from: "; \
 		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
-		echo "I: On Debian systems, checkbashisms can be installed with:"; \
+		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
 		echo "I:   apt-get install devscripts"; \
 	fi
 
@@ -71,9 +71,9 @@
 		rm -f $(DESTDIR)/usr/$$(basename $${SCRIPT}); \
 	done
 
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/bin || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR) || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/bin > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true
 
 	# Uninstalling docs
 	rm -rf $(DESTDIR)/usr/share/doc/live-tools

=== manpages/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be optained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name live-config po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

=== debian/changelog ===
live-tools (3.0~a6-1) unstable; urgency=low

  * Making references to debian more distribution neutral.
  * Silencing rmdir calls in makefile.
  * Using compression level 9 also for binary packages.
  * Updating to debhelper version 9.
  * Updating year to 2012 in copyright notices.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Feb 2012 23:35:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Live Project <debian-live@lists.debian.org>
 Uploaders: Daniel Baumann <daniel@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-tools/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-tools.git

## live-tools 3.0~a7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,12 @@
 # Makefile
+
+## live-tools(7) - System Support Scripts
+## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
+##
+## live-tools comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
 
 SHELL := sh -e
 
@@ -46,7 +54,7 @@
 
 	# Installing docs
 	mkdir -p $(DESTDIR)/usr/share/doc/live-tools
-	cp -r COPYING docs/* $(DESTDIR)/usr/share/doc/live-tools
+	cp -r COPYING $(DESTDIR)/usr/share/doc/live-tools
 
 	# Installing manpages
 	for MANPAGE in manpages/en/*; \

=== debian/changelog ===
live-tools (3.0~a7-1) unstable; urgency=low

  * Moving debian-installer-launcher to suggests (Closes: #660584).
  * Updating copyright file machine-readable format version 1.0.
  * Updating to standards version 3.9.3.
  * Adding copyright header to remaining files.
  * Removing todo file, content is included centrally on
    live.debian.net/devel for all components.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Mar 2012 14:47:23 +0100

## live-tools 3.0~b1

=== manpages/Makefile ===
--- 
+++ 
@@ -1,4 +1,12 @@
 # Makefile
+
+## live-tools(7) - System Support Scripts
+## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
+##
+## live-tools comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
 
 SHELL := sh -e

=== debian/changelog ===
live-tools (3.0~b1-1) unstable; urgency=low

  * Making failure message when not being used on a debian-live based
    system in live-toram more generic.
  * Using 'I' rather than 'W' level for message about ignoring memory
    check in live-toram.
  * Using 'I' rather than 'P' level for waiting message when copying
    images to memory in live-toram.
  * Correcting wrong check for rsync instead of eject when ejecting live
    media in live-toram.
  * Wording output message about being a debian-live based system more
    generically in live-system.
  * Avoid double whitespace in verbose messages in live-system.
  * Correcting line wrapping in error message about /proc when using
    verbose mode in live-system.
  * Using common quoting for grep expression in live-system.
  * Rewording messages about debian-installer combinations in live-
    system.
  * Updating wording wrt/ debian-live and live-system in live-tools
    manpage.
  * Adding symlinks for utilities manpages to live-tools central
    manpage.
  * Using common spacing for /dev/null redirection consistently in live-
    toram.

 -- Daniel Baumann <daniel@debian.org>  Fri, 06 Apr 2012 13:39:13 +0200

=== debian/control ===
Source: live-tools
Section: misc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://live.debian.net/devel/live-tools/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-tools.git
Vcs-Git: git://live.debian.net/git/live-tools.git

Package: live-tools
Architecture: all
Depends: ${misc:Depends}
Suggests: debian-installer-launcher, perl, rsync
Description: Debian Live - System Support Scripts
 live-tools contains additional support scripts for Debian Live systems.

## live-tools 3.0.0

=== manpages/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 	for MANPAGE in en/*; \
 	do \
-		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
+		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
 		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
 	done

=== debian/changelog ===
live-tools (3.0.0-1) unstable; urgency=low

  * Making extraction of the manpage section in manpages/Makefile work
    with multiple dots in the filename.
  * Automatically translate date formats in po files.

 -- Daniel Baumann <daniel@debian.org>  Tue, 05 Jun 2012 13:55:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 	# Removing useless files
 	rm -f debian/live-tools/usr/share/doc/live-tools/COPYING
+
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip -z9

## live-tools 3.0.1

=== debian/changelog ===
live-tools (3.0.1-1) unstable; urgency=low

  * Adding live-uptime which previously was in linux-container.

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Jun 2012 18:39:36 +0200

## live-tools 3.0.2

=== debian/changelog ===
live-tools (3.0.2-1) unstable; urgency=low

  * Switching to xz compression in source and binary packages.

 -- Daniel Baumann <daniel@debian.org>  Wed, 27 Jun 2012 14:53:31 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Package: live-tools
 Architecture: all
 Depends: ${misc:Depends}
+Conflicts: linux-container (<< 2)
 Suggests: debian-installer-launcher, perl, rsync
 Description: Debian Live - System Support Scripts
  live-tools contains additional support scripts for Debian Live systems.

## live-tools 3.0.4

=== debian/changelog ===
live-tools (3.0.4-1) unstable; urgency=low

  * Using common source tree layout for all live packages.
  * Completing uninstall target in toplevel Makefile.
  * Unifying copyright headers to use same GPL blurbs.
  * Adding reference to live-debconfig in live-config manpage.
  * Using dynamic year in automatic manpage date translation rather than
    a hardcoded one.
  * Moving executables from /usr/bin to /bin as they potentially need to
    be arround before /usr is available.
  * Also diverting uptime manpage from procps (Closes: #682574).

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Jul 2012 21:43:48 +0200

live-tools (3.0.3-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Installing the uptime to live-uptime link in the package, not in
    preinst (Closes: #679704).

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Jul 2012 17:05:30 +0200

## live-tools 3.0.8

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ## live-tools(7) - System Support Scripts
 ## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
 ##
-## live-tools comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it
 ## under certain conditions; see COPYING for details.
 
@@ -12,7 +12,7 @@
 
 LANGUAGES = $(shell cd manpages/po && ls)
 
-SCRIPTS = scripts/*
+SCRIPTS = bin/*
 
 all: build
 
@@ -49,8 +49,8 @@
 
 install:
 	# Installing scripts
-	mkdir -p $(DESTDIR)/usr
-	cp -r scripts $(DESTDIR)/usr/bin
+	mkdir -p $(DESTDIR)/bin
+	cp -r bin/* $(DESTDIR)/bin
 
 	# Installing docs
 	mkdir -p $(DESTDIR)/usr/share/doc/live-tools
@@ -74,23 +74,32 @@
 
 uninstall:
 	# Uninstalling scripts
-	for SCRIPT in scripts/*; \
+	for SCRIPT in bin/*; \
 	do \
-		rm -f $(DESTDIR)/usr/$$(basename $${SCRIPT}); \
+		rm -f $(DESTDIR)/bin/$$(basename $${SCRIPT}); \
 	done
 
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/bin > /dev/null 2>&1 || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/bin > /dev/null 2>&1 || true
 	rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true
 
 	# Uninstalling docs
 	rm -rf $(DESTDIR)/usr/share/doc/live-tools
+
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true
 
 	# Uninstalling manpages
 	for MANPAGE in manpages/en/*; \
 	do \
 		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
 		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
+		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} > /dev/null 2>&1 || true; \
+		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true; \
+		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true; \
+		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true; \
+		rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true; \
 	done
 
 	for LANGUAGE in $(LANGUAGES); \
@@ -99,11 +108,17 @@
 		do \
 			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
 			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
+			rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION} > /dev/null 2>&1 || true; \
+			rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/$${LANGUAGE} > /dev/null 2>&1 || true; \
+			rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true; \
+			rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true; \
+			rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true; \
+			rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true; \
 		done; \
 	done
 
 clean:
 
-distclean:
+distclean: clean
 
 reinstall: uninstall install

=== debian/changelog ===
live-tools (3.0.8-1) unstable; urgency=low

  * Moving symlink from /usr/bin to /bin where live-update-initramfs
    actually resides now (Closes: #684423).

 -- Daniel Baumann <daniel@debian.org>  Fri, 10 Aug 2012 22:27:08 +0200

live-tools (3.0.7-1) unstable; urgency=low

  * Handling non-live usages of live-update-initramfs by falling back to
    update-initramfs.
  * Return in cases of non-live systems with return value from update-
    initramfs.
  * Covering cases of live systems where live media is not mounted on
    /live/image in live-update-initramfs.

 -- Daniel Baumann <daniel@debian.org>  Sun, 05 Aug 2012 13:19:15 +0200

live-tools (3.0.6-1) unstable; urgency=low

  * Adding pre-depends to procps and initramfs-tools (Closes: #682574).

 -- Daniel Baumann <daniel@debian.org>  Sat, 04 Aug 2012 15:46:46 +0200

live-tools (3.0.5-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding live-update-initramfs script.

  [ chals ]
  * Adding initial Spanish translation of the man page.
  * Adding initial French translation of the man page.
  * Adding initial Catalan translation of the man page.
  * Fixing several typos in the French translation of the man page.

  [ Daniel Baumann ]
  * Removing references to jessie-only live-debconfig in manpages.

 -- Daniel Baumann <daniel@debian.org>  Fri, 03 Aug 2012 12:37:28 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 Package: live-tools
 Architecture: all
+Pre-Depends: initramfs-tools, procps
 Depends: ${misc:Depends}
 Conflicts: linux-container (<< 2)
 Suggests: debian-installer-launcher, perl, rsync

## live-tools 3.0.12

=== debian/changelog ===
live-tools (3.0.12-1) unstable; urgency=low

  * Updating to standards version 3.9.4.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Sep 2012 17:10:48 +0200

live-tools (3.0.11-1) unstable; urgency=low

  * Moving remaining stuff from /live to /lib/live to avoid further
    namespace pollution.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Sep 2012 12:35:28 +0200

live-tools (3.0.10-1) unstable; urgency=low

  * Removing old diversion from live-tools 3.0.3 on upgrade (Closes:
    #685810).
  * Adding Catalan to automatic date translation in manpages.
  * Adding rewritten live-update-initramfs-uuid from live-boot.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Sep 2012 10:30:48 +0200

live-tools (3.0.9-1) unstable; urgency=low

  * Also correcting uptime symlink to refer to live-uptime /bin instead
    of /usr/bin.
  * Adding warning messages if the necessary tools are not installed.
  * Dropping old conflicts against linux-container, not needed anymore.
  * Renaming divertion of uptime from procps to
    /usr/bin/uptime.orig.procps to workaround the nasty auto-alternative
    in procps.
  * Renaming divertion for update-initramfs too in order to be
    consistent with the uptime divertion, eventhouhg it is not required
    for the the update-initramfs divertion.
  * Dropping pre-depends on initramfs-tools and procps, they are not
    required anymore as the conditional alternatives usage on procps has
    been workarounded.

 -- Daniel Baumann <daniel@debian.org>  Thu, 16 Aug 2012 12:08:24 +0200

=== debian/control ===
Source: live-tools
Section: misc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://live.debian.net/devel/live-tools/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-tools.git
Vcs-Git: git://live.debian.net/git/live-tools.git

Package: live-tools
Architecture: all
Depends: ${misc:Depends}
Suggests: debian-installer-launcher, perl, rsync, uuid-runtime
Description: Debian Live - System Support Scripts
 live-tools contains additional support scripts for Debian Live systems.

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	rm -f debian/live-tools/usr/share/doc/live-tools/COPYING
 
 override_dh_builddeb:
-	dh_builddeb -- -Zgzip -z9
+	dh_builddeb -- -Zxz -z9

## live-tools 3.0.13

=== debian/changelog ===
live-tools (3.0.13-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating file paths for /lib/live/mount.
  * Renaming /lib/live/mount/image to /lib/live/mount/medium.
  * Updating package description.
  * Adding note about wrappers that replace existing commands in live-
    tools manpage, thanks to Ben Armstrong
    <synrg@sanctuary.nslug.ns.ca>.
  * Adding dedicated manpage for live-uptime.
  * Adding dedicated manpage for live-update-initramfs.
  * Synchronising po headers for manpage translations.
  * Improving a bunch of formating and typo issues in manpages.

  [ Ben Armstrong ]
  * Improving manpage wording.

  [ Daniel Baumann ]
  * Making wording in live-update-initramfs a bit more precise wrt/ what
    files are being taken care of.
  * And another manpage typo fixed.

  [ Ben Armstrong ]
  * Fixing cleanup of diversion by old live-tools. (Closes: #685810)

  [ chals ]
  * Running make rebuild to update the dates.
  * Updating the Spanish translation of the man pages.
  * Updating the Catalan translation of the man pages.

  [ Daniel Baumann ]
  * Adjusting coding style in preinst when removing divertions.

  [ chals ]
  * Updating the French translation of the man pages.

 -- Daniel Baumann <daniel@debian.org>  Wed, 07 Nov 2012 15:14:24 +0100

## live-tools 3.0.15

=== manpages/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ## live-tools(7) - System Support Scripts
 ## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
 ##
-## live-tools comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it
 ## under certain conditions; see COPYING for details.

=== debian/changelog ===
live-tools (3.0.15-1) unstable; urgency=low

  [ Tails developers ]
  * Adding a script for enabling persistence during post-initramfs time.

  [ Daniel Baumann ]
  * First pass coding style updates on live-persistence.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Dec 2012 20:25:52 +0100

live-tools (3.0.14-1) unstable; urgency=low

  * Correcting initrd pathes in live-update-initramfs.
  * Adding dpkg-source local options.

 -- Daniel Baumann <daniel@debian.org>  Fri, 30 Nov 2012 16:58:53 +0100

## live-tools 3.0.16

=== debian/changelog ===
live-tools (3.0.16-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting spelling typo in bug script.

  [ Richard Nelson ]
  * Update manpage with an entry for live-persistence.

  [ Daniel Baumann ]
  * Simplified wording of live-persistence short description in live-tools
    manpage.
  * Updating German live-tools manpage translation.
  * Using simpler stat call on /dev/pts in live-uptime as suggested by
    Javier Barroso <javibarroso@gmail.com> (Closes: #696173).

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Dec 2012 21:00:16 +0100

## live-tools 3.0.17

=== debian/changelog ===
live-tools (3.0.17-1) unstable; urgency=low

  [ chals ]
  * Updating Catalan translation of live-tools man page in respect to
    live-persistence.
  * Updating Spanish translation of live-tools man page in respect to
    live-persistence.
  * Updating French translation of live-tools man page in respect to live-
    persistence.

  [ Daniel Baumann ]
  * Updating year in all copyright notices.

 -- Daniel Baumann <daniel@debian.org>  Wed, 02 Jan 2013 12:32:09 +0100

=== debian/control ===
--- 
+++ 
@@ -13,5 +13,5 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: debian-installer-launcher, perl, rsync, uuid-runtime
-Description: Debian Live - System Support Scripts
- live-tools contains additional support scripts for Debian Live systems.
+Description: Live System Support Scripts
+ live-tools contains additional support scripts for live systems.

## live-tools 3.0.20

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-tools(7) - System Support Scripts
-## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
+## Copyright (C) 2006-2013 Daniel Baumann <daniel@debian.org>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it

=== manpages/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-tools(7) - System Support Scripts
-## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
+## Copyright (C) 2006-2013 Daniel Baumann <daniel@debian.org>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it

=== debian/changelog ===
live-tools (3.0.20-1) unstable; urgency=low

  * Detect being run in a live system being built on a live system by
    looking for the /.live-build handle provided by live-build in live-
    update-initramfs.
  * Correcting symlink to point to the correct section for live-update-
    initramfs manpage (Closes: #706100).

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Apr 2013 12:53:45 +0200

live-tools (3.0.19-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Dropping live-update-initramfs-uuid for wheezy.

  [ Ben Armstrong ]
  * Fixing spelling typo, thanks to Adam D. Barratt <adam@adam-barratt.org.uk>.

 -- Daniel Baumann <daniel@debian.org>  Wed, 27 Feb 2013 06:43:13 +0100

live-tools (3.0.18-1) unstable; urgency=low

  * Updating manpage year handling for 2013.
  * Dropping dpkg compression level.

 -- Daniel Baumann <daniel@debian.org>  Thu, 14 Feb 2013 19:28:54 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,6 @@
 Package: live-tools
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: debian-installer-launcher, perl, rsync, uuid-runtime
+Suggests: debian-installer-launcher, perl, rsync
 Description: Live System Support Scripts
  live-tools contains additional support scripts for live systems.

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	rm -f debian/live-tools/usr/share/doc/live-tools/COPYING
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz

## live-tools 4.0~alpha19

=== debian/changelog ===
live-tools (4.0~alpha19-1) unstable; urgency=low

  [ Carlos Zuferri ]
  * Correcting package name in po4a options.
  * Removing obsolete flag '--no-backups' from po4a options.
  * Adding '--package-version' to po4a options.
  * Updating translation files.
  * Adding .po integrity check target to manpages/Makefile.

  [ Daniel Baumann ]
  * Correcting mountpoint of live medium in live-medium-eject.
  * Correcting inverted logic when ejecting medium in live-medium-eject.
  * Correcting device when ejecting medium in live-medium-eject.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 14 Jun 2014 07:34:15 +0200

live-tools (4.0~alpha18-1) unstable; urgency=low

  * Updating year in copyright file.
  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 22:03:06 +0200

live-tools (4.0~alpha17-1) experimental; urgency=low

  * Adding depends to initramfs-tools (Closes: #729810).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 17 Nov 2013 19:47:07 +0100

live-tools (4.0~alpha16-1) experimental; urgency=low

  * Rewrapping control file.
  * Updating to standards version 3.9.5.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 04 Nov 2013 08:05:47 +0100

live-tools (4.0~alpha15-1) experimental; urgency=low

  * Updating package descriptions.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Oct 2013 09:24:33 +0200

live-tools (4.0~a14-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Adding live-media-eject, previously included in live-config.
  * Adding eject to suggests.

  [ chals ]
  * Updating the dates in man pages.
  * Updating French translation of man pages.

  [ Daniel Baumann ]
  * Factoring out medium caching in live-medium-eject to live-medium-
    cache.
  * Decrufting and simplyfing live-media-eject.
  * Reading in live-tools configuration files for verbosity level in live-
    media-eject.
  * Reordering initial exit conditions in live-media-eject.
  * Renaming and updating naming in live-media-* tools for consistent use
    of live-medium instead of live-media.
  * Simplifying live-medium-eject even more.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 13 Sep 2013 14:11:42 +0200

live-tools (4.0~a13-1) experimental; urgency=low

  [ chals ]
  * Updating dates in man pages.
  * Updating Catalan translation of man pages.
  * Updating Spanish translation of man pages.
  * Updating French translation of man pages.

  [ Daniel Baumann ]
  * Correcting symlink to point to the correct section for live-update-
    initramfs manpage (Closes: #706100).
  * Adding 3.0.20-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 06 May 2013 21:33:57 +0200

live-tools (4.0~a12-1) experimental; urgency=low

  * Debranding package for derivatives.
  * Detect being run in a live system being built on a live system by
    looking for the /.live-build handle provided by live-build in live-
    update-initramfs.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 01 Apr 2013 08:44:24 +0200

live-tools (4.0~a11-1) experimental; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 22:41:36 +0100

live-tools (4.0~a10-1) experimental; urgency=low

  * Correcting spelling typos, thanks to Adam D. Barratt <adam@adam-
    barratt.org.uk>.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 19:19:20 +0100

live-tools (4.0~a9-1) experimental; urgency=low

  [ Ben Armstrong ]
  * Fixing spelling typo, thanks to Adam D. Barratt <adam@adam-
    barratt.org.uk>.

  [ Daniel Baumann ]
  * Adding 3.0.19-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 27 Feb 2013 06:47:39 +0100

live-tools (4.0~a8-1) experimental; urgency=low

  * Updating manpage year handling for 2013.
  * Dropping dpkg compression level.
  * Adding 3.0.18-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 15 Feb 2013 09:06:14 +0100

live-tools (4.0~a7-1) experimental; urgency=low

  [ chals ]
  * Updating Catalan translation of live-tools man page in respect to
    live-persistence.
  * Updating Spanish translation of live-tools man page in respect to
    live-persistence.
  * Updating French translation of live-tools man page in respect to live-
    persistence.

  [ Daniel Baumann ]
  * Updating year in all copyright notices.
  * Adding 3.0.17-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 02 Jan 2013 12:37:23 +0100

live-tools (4.0~a6-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Correcting spelling typo in bug script.

  [ Richard Nelson ]
  * Update manpage with an entry for live-persistence.

  [ Daniel Baumann ]
  * Simplified wording of live-persistence short description in live-tools
    manpage.
  * Updating German live-tools manpage translation.
  * Using simpler stat call on /dev/pts in live-uptime as suggested by
    Javier Barroso <javibarroso@gmail.com> (Closes: #696173).
  * Adding 3.0.16-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 17 Dec 2012 21:05:25 +0100

live-tools (4.0~a5-1) experimental; urgency=low

  [ Tails developers ]
  * Addingc a script for enabling persistence during post-initramfs time.

  [ Daniel Baumann ]
  * Removing legacy persistence configuration filename in live-
    persistence.
  * First pass coding style updates on live-persistence.
  * Adding 3.0.13-3.0.15 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Dec 2012 20:31:22 +0100

live-tools (4.0~a4-1) experimental; urgency=low

  * Correcting initrd pathes in live-update-initramfs.
  * Adding dpkg-source local options.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 30 Nov 2012 17:02:32 +0100

live-tools (4.0~a3-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Updating to standards version 3.9.4.
  * Adding 3.0.12 changelog entries.
  * Updating file paths for /lib/live/mount. See
    http://lists.debian.org/debian-live/2012/10/msg00021.html for more


=== debian/control ===
Source: live-tools
Section: misc
Priority: optional
Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://live-systems.org/devel/live-tools/
Vcs-Browser: http://live-systems.org/gitweb/?p=live-tools.git
Vcs-Git: git://live-systems.org/git/live-tools.git

Package: live-tools
Architecture: all
Depends:
 ${misc:Depends},
 initramfs-tools,
Suggests:
 debian-installer-launcher,
 eject,
 perl,
 procps,
 rsync,
 uuid-runtime,
Description: Live System Extra Components
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-tools contains extra components for live systems.

## live-tools 4.0.0

=== debian/changelog ===
live-tools (4.0.0-1) unstable; urgency=low

  [ Richard Nelson ]
  * Initial commit of live-partial-squashfs-updates for generating partial
    squashfs updates.
  * Update filename in description on live-partial-squashfs-updates.
  * Correct _ROSTACK for joining of psu files in live-partial-squashfs-
    updates.

  [ Daniel Baumann ]
  * Updating copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 27 Aug 2014 18:36:34 +0200

## live-tools 4.0.2

=== debian/changelog ===
live-tools (4.0.2-1) unstable; urgency=low

  * Removing left-over divertion on procps when upgrading from before
    live-tools 4.0.1 (Closes: #765635).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 10 Dec 2014 10:01:27 +0100

live-tools (4.0.1-1) unstable; urgency=low

  [ victory ]
  * Add Japanese translation.

  [ Daniel Baumann ]
  * Updating to standards version 3.9.6.
  * Removing live-uptime, doesn't really belong here.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 18 Sep 2014 21:17:00 +0200

## live-tools 5.0~a1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-tools(7) - System Support Scripts
-## Copyright (C) 2006-2013 Daniel Baumann <daniel@debian.org>
+## Copyright (C) 2006-2013 Daniel Baumann <mail@daniel-baumann.ch>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it
@@ -38,7 +38,7 @@
 		echo " done."; \
 	else \
 		echo "W: checkbashisms - command not found"; \
-		echo "I: checkbashisms can be optained from: "; \
+		echo "I: checkbashisms can be obtained from: "; \
 		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
 		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
 		echo "I:   apt-get install devscripts"; \

=== manpages/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-tools(7) - System Support Scripts
-## Copyright (C) 2006-2013 Daniel Baumann <daniel@debian.org>
+## Copyright (C) 2006-2013 Daniel Baumann <mail@daniel-baumann.ch>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it
@@ -27,18 +27,18 @@
 update:
 	./bin/update-version.sh
 
-build: po4a.cfg
+build: check po4a.cfg
 	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
 	then \
 		echo "E: po4a - command not found"; \
-		echo "I: po4a can be optained from:"; \
+		echo "I: po4a can be obtained from:"; \
 		echo "I:   http://po4a.alioth.debian.org/"; \
 		echo "I: On Debian based systems, po4a can be installed with:"; \
 		echo "I:   apt-get install po4a"; \
 		exit 1; \
 	fi
 
-	po4a --keep 0 --no-backups --package-name live-config po4a.cfg
+	po4a --keep 0 --package-name live-tools --package-version $(shell cat ../VERSION) po4a.cfg
 
 clean:
 	rm -rf $(LANGUAGES)
@@ -47,3 +47,19 @@
 	rm -f po4a.cfg
 
 rebuild: distclean update build
+
+check:
+	@echo -n "Checking the integrity of .po files "
+
+	@if [ -x /usr/bin/msgfmt ]; \
+	then \
+		for POFILE in po/*/*; \
+		do \
+			msgfmt --check --output-file=/dev/null $${POFILE}; \
+			echo -n "."; \
+		done; \
+	else \
+		echo "WARNING: skipping po integrity check. You must install gettext."; \
+	fi
+	
+	@echo " done!"

=== debian/changelog ===
live-tools (5.0~a1-1) unstable; urgency=low

  * Dropping pre-jessie upgrade handling.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 27 Apr 2015 07:26:27 +0200

## live-tools 5.0~a2

=== debian/changelog ===
live-tools (5.0~a2-2) unstable; urgency=low

  * Removing myself from uploaders, lost trust in Debian (#804315).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Nov 2015 13:04:24 +0100

live-tools (5.0~a2-1) unstable; urgency=low

  [ Richard Nelson ]
  * Correct filename for live-partial-squashfs-updates in
    debian/copyright.
  * Update copyright for 2015 in debian/copyright.
  * Update copyright on bin/live-partial-squashfs-updates.
  * Initial commit to move from aufs to overlay in bin/live-partial-
    squashfs-updates.

  [ Daniel Baumann ]
  * Updating copyright headers in source files.
  * Dropping useless header in live-tools initscript.
  * Correcting year for live-partial-squashfs in copyright file.
  * Wrap and sort debian control file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 Aug 2015 11:09:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
-Uploaders: Daniel Baumann <mail@daniel-baumann.ch>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Build-Depends:
+ debhelper (>= 9),
+Standards-Version: 3.9.6
 Homepage: http://live-systems.org/devel/live-tools/
 Vcs-Browser: http://live-systems.org/gitweb/?p=live-tools.git
 Vcs-Git: git://live-systems.org/git/live-tools.git
@@ -12,8 +12,8 @@
 Package: live-tools
 Architecture: all
 Depends:
+ initramfs-tools,
  ${misc:Depends},
- initramfs-tools,
 Suggests:
  debian-installer-launcher,
  eject,

## live-tools 20151214

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
 # Makefile
 
-## live-tools(7) - System Support Scripts
-## Copyright (C) 2006-2013 Daniel Baumann <mail@daniel-baumann.ch>
-##
-## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
-## This is free software, and you are welcome to redistribute it
-## under certain conditions; see COPYING for details.
-
+# live-tools(7) - System Support Scripts
+# Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+#
+# This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
 
 SHELL := sh -e

=== debian/changelog ===
live-tools (1:20151214) unstable; urgency=medium

  [ Carlos Zuferri ]
  * Using 'Live Systems Project' as default project in .pot files.

  [ trebmuh ]
  * Update French translation for live-tools manpage.

  [ Iain R. Learmonth ]
  * debian/control:
   - Added myself to Uploaders.
   - Updated Vcs-* and Homepage fields.
  * Source format changed to "3.0 (native)".

 -- Iain R. Learmonth <irl@debian.org>  Mon, 14 Dec 2015 16:14:09 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: misc
 Priority: optional
 Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>
 Build-Depends:
  debhelper (>= 9),
 Standards-Version: 3.9.6
-Homepage: http://live-systems.org/devel/live-tools/
-Vcs-Browser: http://live-systems.org/gitweb/?p=live-tools.git
-Vcs-Git: git://live-systems.org/git/live-tools.git
+Homepage: https://debian-live.alioth.debian.org/live-tools/
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-live/live-tools.git
+Vcs-Git: http://anonscm.debian.org/git/debian-live/live-tools.git
 
 Package: live-tools
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh ${@}
+	dh ${@} --parallel
 
 override_dh_auto_install:
 	dh_auto_install
@@ -11,3 +11,6 @@
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
+
+override_dh_installinit:
+	dh_installinit --no-restart-on-upgrade --no-start --update-rcd-params='start 89 0 6 .'

## live-tools 20151214+nmu1

=== debian/changelog ===
live-tools (1:20151214+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a native live-tools.service unit (Closes: #796627)
  * Add dh-systemd build-dependency and use "--with systemd" for above.
  * Source /lib/lsb/init-functions in init script
    - fixes lintian warning: init.d-script-does-not-source-init-functions
      which means if someone directly invokes the init script under
      systemd then the systemd LSB hooks will redirect to systemctl.
  * Add lsb-base dependency because of the above.
  * Fix up path in init script to make it actually do something
    (/bin/live-media-eject -> /bin/live-medium-eject)
    Thanks to Felipe Sateler for spotting this.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 09 Jun 2016 16:07:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Iain R. Learmonth <irl@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ dh-systemd (>= 1.5),
 Standards-Version: 3.9.6
 Homepage: https://debian-live.alioth.debian.org/live-tools/
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-live/live-tools.git
@@ -13,6 +14,7 @@
 Package: live-tools
 Architecture: all
 Depends:
+ lsb-base,
  initramfs-tools,
  ${misc:Depends},
 Suggests:

## live-tools 20171207

=== debian/changelog ===
live-tools (1:20171207) unstable; urgency=medium

  * Improve update-initramfs wrapper to better handle unmatched
    kernels and initrd images. Closes: #882769
    The new logic also avoids copying initrd backup files. Closes: #838110
  * Fix live-medium-eject logic to identify the device to eject.
    Closes: #831830 Thanks to Steven Shiau <steven@nchc.org.tw> for the patch.
  * Add myself to Uploaders.
  * Switch to debhelper 10 and bump Standards-Version.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 07 Dec 2017 20:27:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: misc
 Priority: optional
 Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-systemd (>= 1.5),
-Standards-Version: 3.9.6
+ debhelper (>= 10),
+Standards-Version: 4.1.2
 Homepage: https://debian-live.alioth.debian.org/live-tools/
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-live/live-tools.git
-Vcs-Git: http://anonscm.debian.org/git/debian-live/live-tools.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-tools.git
+Vcs-Git: https://anonscm.debian.org/git/debian-live/live-tools.git
 
 Package: live-tools
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd

override_dh_auto_install:
	dh_auto_install

	# Removing useless files
	rm -f debian/live-tools/usr/share/doc/live-tools/COPYING

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade --no-start --update-rcd-params='start 89 0 6 .'

## live-tools 20171207.1

=== debian/changelog ===
live-tools (1:20171207.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:38:17 +0800

## live-tools 20190829.drbl1

=== debian/changelog ===
live-tools (1:20190829.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update mountpoint of medium as /run/live/medium, related:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=900688
    https://salsa.debian.org/live-team/live-tools/merge_requests/2

 -- Steven Shiau <steven@clonezilla.org>  Thu, 29 Aug 2019 14:39:20 +0800

live-tools (1:20190826) unstable; urgency=medium

  [ Steve McIntyre ]
  * Repo moved to salsa

  [ Steven Shiau ]
  * Update mountpoint of medium as /run/live/medium.

  [ Raphaël Hertzog ]
  * Replace live-tools.service with /lib/systemd/system-shutdown script
  * Bump Standards-Version to 4.4.0
  * Drop debian/source/options, no need to force compression
  * Switch to debhelper compat level 12
  * Run eject in the background after a 1s delay
  * Update my maintainer email.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 27 Aug 2019 14:26:49 +0200

## live-tools 20190831

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 LANGUAGES = $(shell cd manpages/po && ls)
 
-SCRIPTS = bin/*
+SCRIPTS = bin/* live-tools.shutdown
 
 all: build
 
@@ -50,6 +50,10 @@
 	# Installing scripts
 	mkdir -p $(DESTDIR)/bin
 	cp -r bin/* $(DESTDIR)/bin
+
+	# Installing systemd-shutdown script
+	mkdir -p $(DESTDIR)/lib/systemd/system-shutdown
+	cp live-tools.shutdown $(DESTDIR)/lib/systemd/system-shutdown/
 
 	# Installing docs
 	mkdir -p $(DESTDIR)/usr/share/doc/live-tools

=== debian/changelog ===
live-tools (1:20190831) UNRELEASED; urgency=medium

  * update

 -- Live Systems Maintainers <debian-live@lists.debian.org>  Thu, 19 May 2022 10:51:17 +0800

live-tools (1:20190831) unstable; urgency=medium

  [ Steven Shiau ]
  * Update mountpoint of medium as /run/live/medium. Closes: #900688

 -- Raphaël Hertzog <raphael@offensive-security.com>  Sat, 31 Aug 2019 16:38:48 +0200

## live-tools 20190831build1

=== debian/changelog ===
live-tools (1:20190831build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:05:50 +0000
